Solved -  Only fmt-3.0.1 builds successfully ... is this to be expected?
#1
Kodi's build deps include fmt versions 3.0.1, 4.1.0, and 5.1.0, but I am only able to build 18.0b5 for Linux (x86_64) using fmt-3.0.1.  Is this to be expected?
Code:
...
[100%] Linking CXX static library libkodi.a
[100%] Built target libkodi
Scanning dependencies of target kodi
make[2]: *** No rule to make target 'build/lib/libfmt.a', needed by 'kodi-x11'.  Stop.
make[2]: *** Waiting for unfinished jobs....
[100%] Building CXX object CMakeFiles/kodi.dir/xbmc/platform/posix/main.cpp.o
make[1]: *** [CMakeFiles/Makefile2:1132: CMakeFiles/kodi.dir/all] Error 2
make: *** [Makefile:141: all] Error 2

Link to complete build log: https://gist.github.com/graysky2/18b8444...ff5ace4e5e

Here is my cmake stanza:
Code:
cmake -DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=/usr/lib \
-DENABLE_EVENTCLIENTS=ON \
-DENABLE_INTERNAL_FFMPEG=ON \
-DENABLE_INTERNAL_FMT=ON \
-DENABLE_INTERNAL_CROSSGUID=ON \
-DENABLE_INTERNAL_FSTRCMP=ON \
-DENABLE_INTERNAL_FLATBUFFERS=ON \
-Dlibdvdcss_URL="/libdvdcss-1.4.2-Leia-Beta-5.tar.gz" \
-Dlibdvdnav_URL="/libdvdnav-6.0.0-Leia-Alpha-3.tar.gz" \
-Dlibdvdread_URL="/libdvdread-6.0.0-Leia-Alpha-3.tar.gz" \
-DFFMPEG_URL="/ffmpeg-4.0.3-Leia-Beta5.tar.gz" \
-DFMT_URL="/fmt-5.1.0.tar.gz" \
-DCROSSGUID_URL="/crossguid-8f399e8bd4.tar.gz" \
-DFSTRCMP_URL="/fstrcmp-0.7.D001.tar.gz" \
-DFLATBUFFERS_URL="/flatbuffers-1.9.0.tar.gz" \
-DENABLE_AIRTUNES=OFF \
-DENABLE_AVAHI=OFF \
-DENABLE_BLUETOOTH=OFF \
-DENABLE_CEC=OFF \
-DENABLE_OPTICAL=OFF \
-DENABLE_SMBCLIENT=OFF \
-DENABLE_SSH=OFF \
-DENABLE_UPNP=OFF \
-DENABLE_VDPAU=OFF \
../"xbmc-18.0b5-Leia"
Need help programming a Streamzap remote?
Reply
#2
Interestingly, if I use fmt 5.1.0 externally (ie installed on the build system) and remove the cmake options to use the internal version, it builds just fine.  Bug?

EDIT: https://github.com/xbmc/xbmc/issues/14829
Need help programming a Streamzap remote?
Reply
#3
If you enable internal fmt, you have to use our version, since we only tested the build for this.
Reply
#4
(2018-11-08, 22:33)wsnipex Wrote: If you enable internal fmt, you have to use our version, since we only tested the build for this.
 I understand, but the web site hosts three different versions: http://mirrors.kodi.tv/build-deps/sources/?C=N&O=A
Need help programming a Streamzap remote?
Reply
#5
So?  We can add 20 more. Doesn't mean we publicly endorse them. It might only be there for testing purpose.
Only whats in the github code is what we want you to use
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#6
Thanks @Rechi PR#14830 worked.
Need help programming a Streamzap remote?
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Only fmt-3.0.1 builds successfully ... is this to be expected?00